#!/usr/bin/python2
# -*- coding: utf8 -*-

from bottle import run, route, request, redirect, response, \
    template, view, error, \
    static_file, default_app, BaseTemplate

############################################################################

app = default_app()
BaseTemplate.defaults['getURL'] = app.get_url
getURL = app.get_url


slova = ('Super', 'Perfekt', 'Úža', 'Bottle')


@route('/look/<filepath:path>')
def server_static(filepath):
    return static_file(filepath, root='./look')


@route('/')
def root():
    return template('base', slova=slova)


############################################################################

if __name__ == "__main__":
    run(host='localhost', port=8080, reloader=True)
